ANM Installation Error : ELFCLASS32

Answered Question
Jun 7th, 2010

Dear Friends,

I am in process of trying to install Cisco ANM 3.1.

After a lot of trial and error, I am able to get the login page finally, however ANM is not allowing me to log in for some reason. While installation I get the following error :

Import Errror:/opt/CSCOanm/lib/python/_mysql.so:wrong ELF class:ELFCLASS32.

Seems to be like some 32 bit/64 bit compatibility issue for me. Cisco documentation suggests to use 32 bit OS which is what I am using and which meets all pre-requisites. The installation however is on a Virtual Machine.

Any inputs / Any one faced such issues with ANM?. Attached logs for reference.

-Dinesh

I have this problem too.
0 votes
Correct Answer by litrenta about 6 years 6 months ago

This specific error usually comes up when using RH 64 bit. I know you said you are using

32 can you provide the output of "uname -a" to doublecheck ?

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
Correct Answer
litrenta Mon, 06/07/2010 - 05:04

This specific error usually comes up when using RH 64 bit. I know you said you are using

32 can you provide the output of "uname -a" to doublecheck ?

dinesh.thathana... Mon, 06/14/2010 - 03:16

Hi,

Is there a RHEL5 32 bit available for download.

If you could help me with the Red Hat URL it would be great. Can the ANM work if I install 32 bit libraries on 64 bit OS?.

Thanks,

Dinesh

Actions

This Discussion